<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:415b98a6-c804-4171-8152-acd856be7d77,g:bd660add-3f55-495f-a413-c83191bf7ace-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.crowncastle.com/role/CoverPageDEIDocument" xlink:type="simple" xlink:href="cci-20240611.xsd#CoverPageDEIDocument"/>
  <link:presentationLink xlink:role="http://www.crowncastle.com/role/CoverPageDEIDocument" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_cci_CoverPageAbstract_00d797b1-0e39-49cb-bdc0-71242960e86e" xlink:href="cci-20240611.xsd#cci_CoverPageAbstract"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntitiesTable_dd341bdc-d8a0-4a29-b3a7-924d2aedf83b" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntitiesTable"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_cci_CoverPageAbstract_00d797b1-0e39-49cb-bdc0-71242960e86e" xlink:to="loc_dei_EntitiesTable_dd341bdc-d8a0-4a29-b3a7-924d2aedf83b" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityListingsExchangeAxis_0af6ef2c-4fff-49fd-9fa8-eb85adec651a" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityListingsExchangeAxis"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntitiesTable_dd341bdc-d8a0-4a29-b3a7-924d2aedf83b" xlink:to="loc_dei_EntityListingsExchangeAxis_0af6ef2c-4fff-49fd-9fa8-eb85adec651a" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_ExchangeDomain_b1ec8da8-15ad-4b88-bd3d-50080465b59f" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_ExchangeDomain"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityListingsExchangeAxis_0af6ef2c-4fff-49fd-9fa8-eb85adec651a" xlink:to="loc_dei_ExchangeDomain_b1ec8da8-15ad-4b88-bd3d-50080465b59f" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_exch_XNYS_dc350f2e-33ec-4a8e-9f7d-bd10d9c80c50" xlink:href="https://xbrl.sec.gov/exch/2023/exch-2023.xsd#exch_XNYS"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_ExchangeDomain_b1ec8da8-15ad-4b88-bd3d-50080465b59f" xlink:to="loc_exch_XNYS_dc350f2e-33ec-4a8e-9f7d-bd10d9c80c50" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityInformationLineItems"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntitiesTable_dd341bdc-d8a0-4a29-b3a7-924d2aedf83b" xlink:to="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_Security12bTitle_e71f54e0-1bb6-4276-bc36-6e471161a7a5" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_Security12bTitle"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_Security12bTitle_e71f54e0-1bb6-4276-bc36-6e471161a7a5" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_TradingSymbol_13887f94-6108-41bf-a0ff-b525136c86aa" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_TradingSymbol"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_TradingSymbol_13887f94-6108-41bf-a0ff-b525136c86aa" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentType_0b64a244-1b64-4450-b401-815ed99d23a3" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_DocumentType"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_DocumentType_0b64a244-1b64-4450-b401-815ed99d23a3" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentPeriodEndDate_e2ff12d2-2a3a-49ec-9693-cbe19bbb09a3" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_DocumentPeriodEndDate"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_DocumentPeriodEndDate_e2ff12d2-2a3a-49ec-9693-cbe19bbb09a3" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityRegistrantName_63be44a6-58a4-4da5-96b7-f32d372cefd4" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityRegistrantName"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityRegistrantName_63be44a6-58a4-4da5-96b7-f32d372cefd4" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityIncorporationStateCountryCode_8e8a3b13-65f6-4ed0-83d4-e12f14e134df" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityIncorporationStateCountryCode"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityIncorporationStateCountryCode_8e8a3b13-65f6-4ed0-83d4-e12f14e134df" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityFileNumber_4c1e74e8-97ff-4d59-b36d-3c39b0a5f74b" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityFileNumber"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityFileNumber_4c1e74e8-97ff-4d59-b36d-3c39b0a5f74b" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityTaxIdentificationNumber_990abd19-bbbb-4ea9-851a-e9c812a82295" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityTaxIdentificationNumber"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityTaxIdentificationNumber_990abd19-bbbb-4ea9-851a-e9c812a82295" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressAddressLine1_09761fde-d193-4579-b277-523b6cbdcbca" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityAddressAddressLine1"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityAddressAddressLine1_09761fde-d193-4579-b277-523b6cbdcbca" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressCityOrTown_66436b4c-8948-4558-9d67-6882055fccb1" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityAddressCityOrTown"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityAddressCityOrTown_66436b4c-8948-4558-9d67-6882055fccb1" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressStateOrProvince_359f5c2f-4681-445a-9228-6392ce7a8973" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityAddressStateOrProvince"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityAddressStateOrProvince_359f5c2f-4681-445a-9228-6392ce7a8973" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressPostalZipCode_6be74119-8a8f-4ba4-bdbe-f60829041fbe" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityAddressPostalZipCode"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityAddressPostalZipCode_6be74119-8a8f-4ba4-bdbe-f60829041fbe" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CityAreaCode_122d620b-af1f-490c-aa9b-99ddca438bff" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_CityAreaCode"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_CityAreaCode_122d620b-af1f-490c-aa9b-99ddca438bff" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_LocalPhoneNumber_95b1ef9b-d14d-4bb0-a6ad-2c5126f6bad0" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_LocalPhoneNumber"/>
    <link:presentationArc order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_LocalPhoneNumber_95b1ef9b-d14d-4bb0-a6ad-2c5126f6bad0" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_WrittenCommunications_59acfda3-6b90-4226-a22f-2ba2f5f11460" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_WrittenCommunications"/>
    <link:presentationArc order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_WrittenCommunications_59acfda3-6b90-4226-a22f-2ba2f5f11460" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SolicitingMaterial_0665a4f6-0ad0-4aff-9468-fae39a6f65b5" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_SolicitingMaterial"/>
    <link:presentationArc order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_SolicitingMaterial_0665a4f6-0ad0-4aff-9468-fae39a6f65b5" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementTenderOffer_93538e53-a883-4511-8a40-43eb201f2121" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_PreCommencementTenderOffer"/>
    <link:presentationArc order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_PreCommencementTenderOffer_93538e53-a883-4511-8a40-43eb201f2121" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementIssuerTenderOffer_7605463b-a951-4c49-be9d-1829cc6f6973" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_PreCommencementIssuerTenderOffer"/>
    <link:presentationArc order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_PreCommencementIssuerTenderOffer_7605463b-a951-4c49-be9d-1829cc6f6973" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityEmergingGrowthCompany_a1818d5c-7e9d-47f4-bc31-953d83924673" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityEmergingGrowthCompany"/>
    <link:presentationArc order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityEmergingGrowthCompany_a1818d5c-7e9d-47f4-bc31-953d83924673" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityCentralIndexKey_e9ec4143-4610-403a-838e-95343c4c9e75" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityCentralIndexKey"/>
    <link:presentationArc order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_EntityCentralIndexKey_e9ec4143-4610-403a-838e-95343c4c9e75" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_AmendmentFlag_f7ac281d-7dcc-4f73-a078-17eecd82100e" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_AmendmentFlag"/>
    <link:presentationArc order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_AmendmentFlag_f7ac281d-7dcc-4f73-a078-17eecd82100e" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SecurityExchangeName_0964f0a3-15c4-4620-a6cd-490e25984429" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_SecurityExchangeName"/>
    <link:presentationArc order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_f376606c-87a9-47e3-93cc-5f50717f8905" xlink:to="loc_dei_SecurityExchangeName_0964f0a3-15c4-4620-a6cd-490e25984429" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
  </link:presentationLink>
</link:linkbase>
